Bug 133796 - Error message at boot time
Error message at boot time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 10:57 EDT by Alan Cox
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 09:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2004-09-27 10:57:18 EDT
Description of problem:

Generic AMD64 box, single SATA disk, installed with FC2, updated to FC3

Expected results:
Quiet boot

Additional info:
During the hardware init stage it says something like
RAID_AUTORUN Error 19
Comment 1 Bill Nottingham 2004-09-28 23:21:53 EDT
This error is from nash.
Comment 2 Jeremy Katz 2004-09-29 11:31:05 EDT
Which is ENODEV.  Bill -- what's the "raidautorun /dev/md0" sitting on
line 219 of rc.sysinit there for?
Comment 3 Bill Nottingham 2004-09-29 16:08:29 EDT
To start up any automatic raid arrays after loading all storage
adapters. It's really hard to conditionalize on the presence of an
array at that point.

Note that running 'echo "raidautorun /dev/md0" | nash --quiet' on the
commandline doesn't produce this error for me.
Comment 4 Jeremy Katz 2004-09-29 16:45:26 EDT
Alan -- what version of udev do you have installed?  Stock test2 or a
later one?
Comment 5 Alan Cox 2004-09-29 17:18:25 EDT
Stock test2 - still battling overloaded mirror sites to get to current
Comment 6 Alan Cox 2004-10-22 08:38:25 EDT
Still present and I dont understand why it's assigned to mkinitrd. If
I build a custom kernel with no initrd it -still- does this.
Comment 7 Bill Nottingham 2004-10-22 23:58:44 EDT
nash produces the error, and it's in mkinitrd. It's coming from the
call to nash in rc.sysinit, but it's not real obvious why, as I can't
reproduce it.

If you run:

echo "raidautorun /dev/md0" | nash --quiet

post-boot, does it print the error?

If so, an strace of the nash end would be helpful.

Are there any AVC messages on bootup?
Comment 8 Alan Cox 2004-10-23 08:44:57 EDT
Post boot it does print the error if I do this.

The strace is tiny - 
brk(), brk(), getppid(), getppid() then

read(0, "raidauto...", 32767) = 21
access("/dev/md0", F_OK) = 0
open("/dev/md0", O_RDWR) = 3
ioctl(3, 0x914, 0) = -1 ENODEV
fstat(1,  ... } = 0
mmap(NULL .. [memory alloc])
write(1, "raidautorun: RAID_AUTORUN failed...,
close(3)
close(0)
munmap([memory free])
exit_group

No AVC
Comment 9 Jeremy Katz 2004-10-24 17:50:28 EDT
What is the major/minor of your /dev/md0?
Comment 10 Alan Cox 2004-10-25 16:59:16 EDT
9, 0
Comment 11 Jeremy Katz 2004-10-26 08:50:26 EDT
Wait -- custom kernel?  Does your custom kernel not have RAID built
in?  If so, that's why it's happening.
Comment 12 Alan Cox 2004-10-26 09:29:19 EDT
Doh sorry - yes it is a custom kernel the RH kernel doesnt boot on
that box (known fixed issue). It has raid modular. 

Does that mean it needs closing with "Alan is an idiot" ?
Comment 13 Jeremy Katz 2004-10-26 09:41:03 EDT
Yeah, base RAID needs to be built-in so that we can do raid autorun.
Comment 14 Jon Smirl 2004-11-09 23:40:53 EST
I just went through this exact same problem. Is there some reason
mkinitrd can't include the md module on the boot disk and have nash
modprobe it before raidautorun? It has no problem loading the raid1
module.

Note You need to log in before you can comment on or make changes to this bug.